<?php


if (!defined("WHMCS")) {
    exit("This file cannot be accessed directly");
}
function SeoManager_config()
{
    $configarray = array("name" => "SEO 优化管理", "description" => "该模块可以设定WHMCS中的任何页面的标题，关键字和描述", "version" => "1.0", "author" => "Nelson", "language" => "english", "fields" => array("delete" => array("FriendlyName" => "彻底卸载本模块", "Type" => "yesno", "Size" => "25", "Description" => "如果您想要彻底卸载模块 勾选本选项以清除模块的相关数据库信息")));
    return $configarray;
}
function SeoManager_activate()
{
    try {
        if (!Illuminate\Database\Capsule\Manager::schema()->hasTable("mod_pageseo")) {
            Illuminate\Database\Capsule\Manager::schema()->create("mod_pageseo", function ($table) {
                $table->increments("id");
                $table->text("title");
                $table->text("page");
                $table->text("keywords");
                $table->text("description");
                $table->text("activated");
            });
        }
    } catch (Exception $e) {
        return array("status" => "error", "description" => "Unable to create table mod_pageseo: " . $e->getMessage());
    }
    return array("status" => "success", "description" => "模块开启成功");
}
function SeoManager_deactivate()
{
    $delete = Illuminate\Database\Capsule\Manager::table("tbladdonmodules")->where("module", "SeoManager")->where("setting", "delete")->first();
    if ($delete->value) {
        try {
            Illuminate\Database\Capsule\Manager::schema()->dropIfExists("mod_pageseo");
        } catch (Exception $e) {
            return array("status" => "error", "description" => "Unable to drop tables: " . $e->getMessage());
        }
    }
    return array("status" => "success", "description" => "模块已经关闭");
}
function SeoManager_output($vars)
{
    $modulelink = $vars["modulelink"];
    $LANG = $vars["_lang"];
    require dirname(__FILE__) . "/includes/pages/menu.php";
    if (file_exists(dirname(__FILE__) . "/includes/pages/" . $_REQUEST["a"] . ".php")) {
        require dirname(__FILE__) . "/includes/pages/" . $_REQUEST["a"] . ".php";
    } else {
        require dirname(__FILE__) . "/includes/pages/home.php";
    }
}

?>